Latest Vulnerabilities and Exploits



CVE ID:

CVE-2022-40758

Details:

A Buffer Access with Incorrect Length Value vulnerablity in the TEE_CipherUpdate function in Samsung mTower through 0.3.0 allows a trusted application to trigger a Denial of Service (DoS) by invoking the function TEE_CipherUpdate with an excessive size value of srcLen.

References:

:https://github.com/Samsung/mTower/blob/efd36709306a9afcca5b4782499d01be0c7a02a5/tee/lib/libutee/tee_api_operations.c#L1224
:https://github.com/Samsung/mTower/issues/81

ZeroDayLab Assigned Tags:

DOS